pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46649: x11/libdrm-2.4.37 fails to compile on DragonFly 3.1-DEVEL

>Number:         46649
>Category:       pkg
>Synopsis:       x11/libdrm-2.4.37 fails to compile on DragonFly 3.1-DEVEL
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Jul 02 03:20:00 +0000 2012
>Originator:     David Shao
>Release:        DragonFly 3.1-DEVELOPMENT x86_64
DragonFly 3.1-DEVELOPMENT x86_64
Updating to latest pkgsrc current and using
pkg_rolling-replace -u
results in:

libdrm 2.4.37 will be compiled with:

  libkms         no
  Intel API      yes
  vmwgfx API     no
  Radeon API     yes
  Nouveau API    yes
  OMAP API       no
  EXYNOS API     no
  CC       intel_bufmgr_gem.lo
intel_bufmgr_gem.c: In function 'drm_intel_gem_bo_wait':
intel_bufmgr_gem.c:1520: error: 'ETIME' undeclared (first use in this function)
intel_bufmgr_gem.c:1520: error: (Each undeclared identifier is reported only 
intel_bufmgr_gem.c:1520: error: for each function it appears in.)
intel_bufmgr_gem.c: In function 'drm_intel_gem_context_create':
intel_bufmgr_gem.c:2850: warning: unused variable 'tmp'
intel_bufmgr_gem.c:2848: warning: unused variable 'gp'

Use latest pkgsrc in DragonFly 3.1-DEVEL x86_64 and do
pkg_rolling-replace -u

Home | Main Index | Thread Index | Old Index